Page MenuHomePhabricator

Evaluate lists with large moderation queues
Closed, ResolvedPublic

Description

Generate a list of mailing lists with *large* moderation queues (number depends, before we had lists in the tens of thousands) and evaluate if they are inactive, spam targets or lack administrators.


New role: Evaluate lists that have large moderation queues, decide if they're not active, if they have bad moderation standards, if they have no moderators and so on.

Event Timeline

JohnLewis assigned this task to Dzahn.
JohnLewis raised the priority of this task from to High.
JohnLewis updated the task description. (Show Details)
JohnLewis added a subscriber: JohnLewis.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 27 2015, 12:08 AM

T110609 will help with this

71729 ./heldmsg-wikiru
66819 ./heldmsg-wikinews
43642 ./heldmsg-maps
40495 ./heldmsg-wikimedia
38696 ./heldmsg-wikifa
37172 ./heldmsg-wiktionary
26928 ./heldmsg-wikimediabe
25267 ./heldmsg-wikimediake
25178 ./heldmsg-wikimedia
21802 ./heldmsg-libraries
21728 ./heldmsg-education
20654 ./heldmsg-wikisk
19982 ./heldmsg-wikifi
18612 ./heldmsg-wikiia
14318 ./heldmsg-wikilb
10470 ./heldmsg-wiktionarypt
10249 ./heldmsg-exyu
8508 ./heldmsg-wikiskan
5672 ./heldmsg-wikihe
5018 ./heldmsg-wikimedianz
4649 ./heldmsg-wikiquality
4337 ./heldmsg-wikiversity
2885 ./heldmsg-wikibooksde
2381 ./heldmsg-wikimedia
2238 ./heldmsg-juriwiki
1918 ./heldmsg-mailman
1821 ./heldmsg-wikimedia
1705 ./heldmsg-wikipedia
1554 ./heldmsg-wikimediafr
1537 ./heldmsg-infobg
1496 ./heldmsg-wikiar
1353 ./heldmsg-wikimk
1310 ./heldmsg-ruwikiconference
1240 ./heldmsg-wikimediahk
1168 ./heldmsg-wikimedia
1167 ./heldmsg-wikiml
1078 ./heldmsg-ca

Needs clarify above though. Suffix is missing for some lists like wikiru-l and then a few Wikimedia's are listed.

@sodium:/var/lib/mailman/restore/var/lib/mailman/data#
find . | sed -e "s/pck//g" -e "s/[0-9]//g" | sort | uniq -c | sort -nr | sed -e "s/\.\/heldmsg-//g" -e "s/\.//g" > held_msg_stats_mailman.txt

@sodium:/var/lib/mailman/restore/var/lib/mailman/data# head -n 30 held_msg_stats_mailman.txt

67983 wikinews-l-
64086 wikiru-l-
44096 maps-l-
39310 wikimedia-in-amd-
39233 wikifa-l-
37536 wiktionary-l-
27291 wikimediabe-l-
25565 wikimediake-
24387 wikimedia-in-wb-
22665 education-
22473 libraries-
20654 wikisk-l-
19894 wikifi-l-
18612 wikiia-l-
14318 wikilb-l-
10472 wiktionarypt-l-
10249 exyu-tech-
 8508 wikiskan-l-
 7650 wikiru-a-
 5672 wikihe-l-
 5018 wikimedianz-l-
 4649 wikiquality-l-
 4342 wikiversity-l-
 2885 wikibooksde-l-
 2566 wikiml-l-
 2238 juriwiki-l-
 2031 wikica-l-
 1942 mailman-
 1698 wikimedia-california-
 1571 infobg-l-

lists identified. now what, is the ticket resolved too and was a duplicate? or did we want more here, like a cron or something. this was just historic data from since before we started deleting things after 90 days anyways

should still check these lists though to stop them from growing so much again. maybe have to find new admins/moderators

this task was meant generally for looking at that list and creating tickets for action with lists if there is a characteristic to look at (e.g. a list has no moderator and so on). This ideally should be a master ticket. I'll make it generic and start looking at lists.

JohnLewis renamed this task from Identify lists with *large* moderation queues to Evaluate lists with large moderation queues.Aug 31 2015, 10:16 PM
JohnLewis updated the task description. (Show Details)
JohnLewis set Security to None.

Communicating with 'education' list admins to discuss spam practices. List is active and admins are current WMF employees. Just noting.

revi added a subscriber: revi.Sep 1 2015, 6:28 AM
Dzahn lowered the priority of this task from High to Normal.Sep 1 2015, 9:19 PM
Dzahn removed Dzahn as the assignee of this task.Sep 4 2015, 1:15 AM

Just for an update on progress:

johnflewis@fermium:/var/lib/mailman/data$ head -n 30 /home/johnflewis/held_msg_stats_mailman.txt
  11617 education-
  10914 libraries-
   8210 wikifa-l-
   6775 wikimedia-in-amd-
   6424 wiktionary-l-
   1232 xmldatadumps-l-
    723 wikifr-l-
    541 wikinews-l-
    523 infobg-l-
    208 wikimediafr-l-
    165 wikimedia-california-
    164 wikimedia-in-wb-
    157 wikimedia-gh-
    130 wikimedia-bd-
    116 wikimedia-kr-
    115 wikimedia_nyc-
    111 wikiversity-l-
    110 wikimediaannounce-l-
     96 offline-l-
     91 wikimedia-mx-
     86 wikimedia-in-mum-
     84 wikimedia-in-blr-
     80 wikimedia-in-hyd-
     75 wikimediabe-l-
     75 wikija-l-
     74 board-nominations-
     73 wikimedia-en-abuse-
     66 wikiur-l-
     63 affcom-members-
     61 wikica-l-

All blockers closed.

Done at last. Taking a look at current lists, all within manageable values (200-)

JohnLewis closed this task as Resolved.Nov 6 2015, 5:05 PM
JohnLewis claimed this task.